Skip to main content

Unarchive ShipMyOrders Invoice

PUT 

/api/shipmyorders/invoices/:id/unarchived

Restores an archived ShipMyOrders invoice to the active list.

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

If the invoice is not archived the call still succeeds (HTTP 200) with status: warning and code ShipMyOrdersInvoiceIsAlreadyUnarchived under warnings.id.

No body. Returns the invoice in the same shape as Get ShipMyOrders Invoice.

Requires the integrations.update permission.

Authentication: Bearer token (Personal Access Token).

Request​

Responses​

OK

Response Headers
    Content-Type